> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Jira Workspace

> Create a new Jira workspace registration.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /integration/jira/workspaces
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /integration/jira/workspaces:
    post:
      summary: Create Jira Workspace
      description: Create a new Jira workspace registration.
      operationId: create_jira_workspace_integration_jira_workspaces_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JiraWorkspaceCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JiraWorkspaceCreate:
      properties:
        workspace_name:
          type: string
          title: Workspace Name
          description: Workspace display name
        webhook_secret:
          type: string
          title: Webhook Secret
          description: Webhook secret for verification
        svc_acc_email:
          type: string
          title: Svc Acc Email
          description: Service account email
        svc_acc_api_key:
          type: string
          title: Svc Acc Api Key
          description: Service account API token
        is_active:
          type: boolean
          title: Is Active
          description: Indicates if the workspace integration is active
          default: false
      type: object
      required:
        - workspace_name
        - webhook_secret
        - svc_acc_email
        - svc_acc_api_key
      title: JiraWorkspaceCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````